OUTPUT_FORMAT("elf32-littleriscv")
ENTRY(_start)

MEMORY
{
    rom :
 ORIGIN = 0x00000000,
 LENGTH = 2048
    bss :
 ORIGIN = 0x00010000,
 LENGTH = 2048

 /* Sorry, but there is no initialized ram.  */
   empty :
 ORIGIN = 0x00020000,
 LENGTH = 0
}

SECTIONS
{
 .boot : { *(.boot) } > rom
 .text : { *(.text .text.*) } > rom =0

 _gp = .;

 .rodata : { *(.rodata .rodata.*) } > empty
 .data : { *(.data .data.*) } > empty

 .bss : {
  _fbss = .;
  *(.bss .bss.*)
  *(COMMON)
  _ebss = .;
  . = ALIGN(.);
  _fstack = . + 1024;
  _end = .;
 } > bss
}
